.clearfix:after {
    content: '.';
    display: block;
    clear: both;
    height: 0;
    line-height: 0;
    visibility: hidden;
}

.display-inline-block {
    display: inline-block;
}

.color-red {
    color: red;
}

.font-size-1vw {
    font-size: 1vw;
}

.line-height-1vw {
    line-height: 1vw;
}

body {
    margin: 0;
}

.main {
    padding: 0.4vw;
    box-sizing: border-box;
}

.container {
    position: fixed;
}

.wrapper-pusher {
    float: left;
    visibility: hidden;
}

.wrapper-grid {
    position: absolute;
    z-index: 2;
}

.toolbar-wrapper {
    height: 5vw;
}

.toolbar {
    position: fixed;
    width: 100%;
    height: 5vw;
    box-sizing: border-box;
    padding: 0.4vw;
    background-color: white;
}

.row {
    line-height: 0;
}

/*
Pitfall: we could use `display: inline-block` css rule for these cells since appendChild does not add html formatting
as in the case with directly output pretty printed html where `display: inline-block` would cause weird spacing, but
since the PHP version uses pretty formatting these are better off rendered as `display: block; float: left`
*/
.cell, .coordinate {
    display: block;
    float: left;
    box-sizing: border-box;
    vertical-align: middle;
    width: 2vw;
    height: 2vw;
    line-height: 2vw;
    font-size: 1vw;
    text-align: center;
}

.coordinate {
}

.cell-field {
    border: 1px solid black;
}

.input-coordinate {
    width: 2vw;
}

.start-fight {
    position: fixed;
    width: 200%;
    left: -50%;
    height: 200%;
    top: -50%;
    font-size: 50vw;
    line-height: 50vw;
    text-align: center;
    color: #33FF99;
}

.start-fight-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
}

.shot-hit {
    background: transparent url(../images/shot-hit.png) no-repeat scroll center center;
    background-size: contain;
}

.shot-miss {
    background: transparent url(../images/shot-miss.png) no-repeat scroll center center;
    background-size: contain;
}

.ship40 {
    background: rgba(255, 0, 0, 0) none no-repeat scroll 0 0;
}

.ship41 {
    background: rgba(0, 255, 0, 0) none no-repeat scroll 0 0;
}

.ship50 {
    background: rgba(0, 0, 255, 0) none no-repeat scroll 0 0;
}

.sprite {
    position: absolute;
    transform-origin: 0 0;
    display: none;
}

.cheat .ship40 {
    background: rgba(255, 0, 0, 0.3) none no-repeat scroll 0 0;
}

.cheat .ship41 {
    background: rgba(0, 255, 0, 0.3) none no-repeat scroll 0 0;
}

.cheat .ship50 {
    background: rgba(0, 0, 255, 0.3) none no-repeat scroll 0 0;
}

.cheat .sprite {
    display: block;
}



















.battle-pre-toolbar-form-ships-fieldset {
    display: inline-block;
}
